FROM postgres:9.6.3
LABEL maintainer="Alexander König <Alexander.Koenig@eurac.edu>"

# install git
RUN apt-get update &&\
	apt-get -y install git

# copy int db script
RUN mkdir -p /docker-entrypoint-initdb.d
COPY commul-customization/init-dspace-dbs.sh /docker-entrypoint-initdb.d/

# copy utilities generating script
RUN mkdir /tmp/sql/
COPY adapt_utilities_sql.sh /tmp/sql/
RUN /tmp/sql/adapt_utilities_sql.sh
